  body {
    font-family: var(--main-font);
    background-color: var(--bg-color);
  }

body::after {
  content: "";
  position: fixed;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  pointer-events: none;
  backdrop-filter: blur(6px);
  -webkit-backdrop-filter: blur(6px);
  opacity: 0;
  transition: opacity 0.3s ease;
  z-index: 2;
}

body.blurred::after {
  opacity: 1;
  pointer-events: auto; /* если нужно блокировать клики */
}

  .head {
    position: fixed;
    width: 100%;
    height: 200px;
    background-image: linear-gradient(to bottom, var(--linear-gradient-color-start), var(--linear-gradient-color-end));
    top: 0;
  }

  .icons {
    display: flex;
    flex-direction: row;
    gap: 10;
    justify-content: end;
    padding: 25px 60px 0 0;
  }

  .icontop {
    background-color: transparent;
    border: transparent;
    cursor: pointer;
  }

  .iconcharter {
    fill: var(--bg-color);
  }

  .iconcharterbg {
    fill: var(--accent-color);
  }

  .game {
    max-width: 900px;
    margin: 0 auto;
    padding: 100px 0;
  }

  .story {
    color: var(--main-color);
    font-family: var(--main-font);
    font-size: 20px;
    text-align: justify;
  }

  .choices {
    display: flex;
    flex-wrap: wrap;
    gap: 10px;
  }

  .choice {
    white-space: nowrap;
    display: block;
    margin-top: 10px;
    padding: 10px 26px;
    background-color: var(--accent-color);
    border: none;
    cursor: pointer;
    color: var(--bottom-text-color);
    font-family: var(--main-font);
    font-size: 20px;
    border-radius: 25px;
    max-height: 50px;
  }

  .status {
    margin-top: 20px;
    font-weight: bold;
  }

.restoreBtn {
    display: none;
  }

.restoreSixBtn {
    display: none;
  }

.charactersheet {
  position: fixed;
  bottom: -620px;
  left: 0;
  max-width: 615px;
  border-top: 2px solid var(--accent-color);
   border-right: 2px solid var(--accent-color);
  border-top-right-radius: 20px;
  color: var(--main-color);
  font-family: var(--main-font);
  font-size: 20px;
  background: var(--bg-color);
  transition: bottom 0.5s ease;
  z-index: 3;
  max-height: 258px;
}

.charactersheet.visible {
  bottom: 0;
}

.charactersheetmain {
  display: grid;
  grid-template-columns: 1fr 148px 1fr;
  padding-left: 22px;
  padding-right: 122px;
}

.charterleftpart {
  display: grid;
  grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr;
  grid-auto-flow: column;
}

.charactersheetability {
  display: none;
}


#scrollDownBtn {
  position: fixed;
  width: 75px;
  height: 75px;
  right: 50%;
  bottom: 40px;
  padding: 10px 15px;
  font-size: 16px;
  background-color: transparent;
  color: var(--main-color);
  border: 0.83px solid var( --accent-color);
  border-radius: 50%;
  cursor: pointer;
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.4s ease, visibility 0.4s ease, background-color 0.6s ease, border-color 0.6s ease;
  z-index: 2;
}

#scrollDownBtn.visible {
  opacity: 1;
  visibility: visible;
}

#scrollDownBtn:hover {
  border: none;
  background-color: var(--accent-color);
}

.arrow {
  fill: var(--main-color);
}

#equipment span {
  color: var(--main-color);
  margin-right: 10px;
  cursor: default;
  line-height: 1.8;
  align-items: flex-start;
}

.charactersheetability {
  visibility: hidden;
}

.openBtn {
  position: fixed;
  left: 0;
  bottom: 0;
  padding: 8px 33px;
  cursor: pointer;
  z-index: 5;
  background-color: var(--accent-color);
  border: transparent;
  border-top-left-radius: 20px;
  border-top-right-radius: 20px;
  color: var(--bottom-text-color);
  font-family: var(--acent-font);
  font-size: 22px;
}

.charactersheetBtn {
  display: flex;
}

.charterbtn {
  padding: 9px 17px;
  font-family: var(--acent-font);
  color: var(--bottom-text-color);
  font-size: 22px;
  background-color: var(--bg-color);
  outline: 1px solid var(--accent-color);
  border: none;
  cursor: pointer;
  transition: background-color 0.3s ease-out;
}

.charterbtn:active{
  background-color: var(--accent-color);
  color: var(--bg-color);
}

.charterbtn:hover {
  background-color: var(--accent-color);
}

.charterbtn:focus {
  background-color: var(--accent-color);
}

.borderleft {
  border-top-left-radius: 20px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.bordercenter {
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.borderright {
  border-top-right-radius: 20px;
  border-bottom-left-radius: 20px;
  border-bottom-right-radius: 20px;
}

.equipment-container {
  display: flex;
  padding-left: 22px;
  max-width: 580px;
}

.theme-color-button {
  background-color: transparent;
  border: none;
  position: absolute;
  cursor: pointer;
  top: 25px;
  right: 0;
}

.theme-color-button-one {
  fill: var(--accent-color);
}

.theme-color-button-two {
  fill: var(--bg-color);
}


@media (max-width: 480px) {

  body {
    max-width: 480px;
  }

.charactersheet {
  max-width: 400px;
  max-height: 658px;
}

.charactersheetmain {
  display: flex;
  flex-direction: column;
  padding-left: 22px;
  padding-right: 122px;
}

  .charterleftpart {
  display: flex;
  flex-direction: column;
}

  .choice {
    white-space: pre-wrap;
    max-height: 100px;
  }
     .head {
    height: 100px;
  }

  #scrollDownBtn {
  transform: scale(0.5);
}

#scrollDownBtn svg {
  transform: scale(0.5);
}
}




